test-requirements.txt 1.22 KB
Newer Older
1 2 3 4
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

5
# Hacking already pins down pep8, pyflakes and flake8
6
hacking<0.11,>=0.10.0
7
Babel>=1.3 # BSD
8
contextlib2>=0.4.0 # PSF License
9 10 11 12 13 14
coverage>=3.6 # Apache-2.0
elasticsearch<2.0,>=1.3.0 # Apache-2.0
fixtures>=1.3.1 # Apache-2.0/BSD
happybase!=0.7,>=0.5;python_version=='2.7' # MIT
httplib2>=0.7.5 # MIT
mock>=1.2 # BSD
15
PyMySQL>=0.6.2 # MIT License
16 17
os-win>=0.2.3 # Apache-2.0
oslo.cache>=1.5.0 # Apache-2.0
18
# Docs Requirements
19
oslosphinx!=3.4.0,>=2.5.0 # Apache-2.0
20
reno>=0.1.1 # Apache2
21
oslotest>=1.10.0 # Apache-2.0
22
oslo.vmware>=1.16.0 # Apache-2.0
23
psycopg2>=2.5 # LGPL/ZPL
24
pylint==1.4.5 # GNU GPL v2
25 26 27 28 29 30 31 32 33
pymongo>=3.0.2 # Apache-2.0
gnocchiclient>=2.1.0 # Apache-2.0
python-subunit>=0.0.18 # Apache-2.0/BSD
sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2 # BSD
sphinxcontrib-httpdomain # BSD
sphinxcontrib-pecanwsme>=0.8 # Apache-2.0
testrepository>=0.0.18 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
testtools>=1.4.0 # MIT
34
gabbi>=1.11.0 # Apache-2.0
35
requests-aws>=0.1.4 # BSD License (3 clause)
36
tempest-lib>=0.14.0 # Apache-2.0
37
WebTest>=2.0 # MIT